Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 09/20/2013 Assignee:
Description: Je viens de tester l'utilisation de *( et *) pour regrouper des questions avec AMC svn révision 1447 (OS X 

10.8.5).

Le texte du premier groupe n'est pas présenté de manière identique à celui des groupes qui suivante (le texte 
est décalé vers la droite). J'ai joint le fichier source et le pdf généré.

Est-ce qu'il serait possible d'avoir des options permettant une présentation plus marquée pour le texte de 
groupe, par exemple lorsque ce texte sert de titre pour un ensemble de questions ? L'ancienne option 
"group:" ajoutait une ligne en dessous et au dessus du texte qui était en gras et centré.

History
09/20/2013 04:01 pm - Alexis Bienvenüe
> Est-ce qu'il serait possible d'avoir des options permettant une présentation plus marquée pour le texte de groupe, par exemple lorsque ce texte sert 
de titre pour un ensemble de questions ?
Vous pouvez utiliser @[== Titre ==]@ à partir de la révision r1448.

09/20/2013 04:07 pm - Alexis Bienvenüe
- Status changed from New to Feedback

> Le texte du premier groupe n'est pas présenté de manière identique à celui des groupes qui suivante
Ceci devrait être corrigé avec la révision r1449.

09/23/2013 10:56 am - Joël Brogniart
AMC révision 1449 sous OS X 10.8.5.

Le texte du premier groupe est maintenant correctement aligné.

Par contre, j'ai quelques soucis avec la syntaxe pour le titre.

Si je mets
<pre>*(Catastrophe</pre>
le texte est correctement affiché (sans présentation particulière).

Si je mets
<pre>*([==Catastrophe==]</pre>
rien n'est affiché.

Si je mets
<pre>*( [==Catastrophe==]</pre>
(un espace entre @*(@ et @[==@)) il y a une erreur
<pre>
1 erreurs lors de la compilation LaTeX (sujet)
LaTeX Error: There's no line here to end.
</pre>

09/23/2013 08:38 pm - Alexis Bienvenüe
C'est la version avec un espace qui est la bonne. La révision r1452 devrait arranger le problème.

09/24/2013 01:37 pm - Joël Brogniart
Effectivement, la version r1452 arrange le problème. Merci.

09/24/2013 02:03 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

09/24/2013 02:07 pm - Joël Brogniart
- File source.txt added

- File DOC-sujet.pdf added

J'ai oublier de dire qu'il faudra que ce soit bien signalé dans la documentation parce que en cas d'erreur de la part du concepteur d'un questionnaire, la 
source de l'erreur n'est pas évidente à trouver. Le résultat est même plutôt étrange.

Par exemple, dans l'exemple de sujet joint, il y a (il devrait y avoir) quatre groupes avec chacun une question. J'ai "omis" l'espace pour les deux 
premiers groupes. Dans les sujets générés, la question 3 reste bien dans le groupe 3 et la question 4 dans le groupe 4, par contre, les questions 1 et 2 
sont aléatoirement associées aux groupes 3 ou 4.

Files
source.txt 2.9 kB 09/20/2013 Joël Brogniart
DOC-sujet.pdf 66.1 kB 09/20/2013 Joël Brogniart
source.txt 3.1 kB 09/24/2013 Joël Brogniart
DOC-sujet.pdf 43.9 kB 09/24/2013 Joël Brogniart
